<template>
  <BasicTable @register="registerTable">
    <template #form-userLevle="{ model, field }">
      <a-select
        v-model:value="model[field]"
        placeholder="请选择"
        @change="change(model)"
        :fieldNames="{ label: 'text', value: 'value' }"
        :options="Options"
      ></a-select>
    </template>

    <template #tableTitle>
      <a-button type="primary" preIcon="ant-design:export-outlined" v-auth="'tbxx-dkdcslwjscqk-dc'" @click="onExportXls"> 导出</a-button>
    </template>
  </BasicTable>
</template>
<script setup lang="ts">
  import { BasicTable } from '@/components/Table';
  import { useListPage } from '/@/hooks/system/useListPage';

  import { SlwjColumns, SlwjsearchFormSchema, getUserLevel } from './data';
  import { dkdcslwjscqk, dkdcslwjscqkExcel } from './api';

  const { tableContext, onExportXls } = useListPage({
    tableProps: {
      title: '',
      api: dkdcslwjscqk,
      columns: SlwjColumns,
      canResize: false,
      beforeFetch(params: any) {
        let res = [...SlwjColumns];
        if (params.level == 2) {
          res.splice(1, 0, {
            title: '县',
            dataIndex: 'countryName',
            resizable: true,
          });
          setColumns(res);
        } else {
          setColumns(res);
        }
      },
      rowSelection: { type: 'radio' },
      rowKey: 'wrdkid',
      clickToRowSelect: true,
      showActionColumn: false,

      formConfig: {
        labelWidth: 120,
        schemas: SlwjsearchFormSchema,
        autoSubmitOnEnter: true,
        showAdvancedButton: false,
      },
      actionColumn: {
        width: 120,
        fixed: 'right',
      },
    },
    exportConfig: {
      name: '地块调查矢量文件上传情况',
      url: dkdcslwjscqkExcel,
    },
  });
  const [registerTable, { setColumns }, {}] = tableContext;

  const Options = getUserLevel().data;
  function change(model) {
    model.cityCode = '';
  }
</script>
